# RTPExtensionHeaderInfo Class Reference

`#include <rtp.h>`

## Public Types

| Undefined = -1
| Inactive
| RecvOnly
| SendOnly
| SendRecv
enum | Direction { Undefined = -1, Inactive, RecvOnly, SendOnly, SendRecv }

## Public Member Functions

| RTPExtensionHeaderInfo ()
virtual Comparison | Compare (const PObject &other) const
bool | ParseSDP (const PString &param)
void | OutputSDP (ostream &strm) const

## Data Fields

unsigned | m_id
enum RTPExtensionHeaderInfo::Direction | m_direction
PURL | m_uri
PString | m_attributes

## Detailed Description

Information for RFC 5285 header extensions.

## Member Enumeration Documentation

enum RTPExtensionHeaderInfo::Direction

Enumerator:

  Undefined |
  Inactive |
  RecvOnly |
  SendOnly |
  SendRecv |

## Constructor & Destructor Documentation

RTPExtensionHeaderInfo::RTPExtensionHeaderInfo | ( |  | ) |

## Member Function Documentation

virtual Comparison RTPExtensionHeaderInfo::Compare | ( | const PObject & | other | ) | const`[virtual]`

void RTPExtensionHeaderInfo::OutputSDP | ( | ostream & | strm | ) | const

bool RTPExtensionHeaderInfo::ParseSDP | ( | const PString & | param | ) |

## Field Documentation

PString RTPExtensionHeaderInfo::m_attributes

enum RTPExtensionHeaderInfo::Direction RTPExtensionHeaderInfo::m_direction

unsigned RTPExtensionHeaderInfo::m_id

PURL RTPExtensionHeaderInfo::m_uri

The documentation for this class was generated from the following file:

- rtp.h